Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1417576 - Push-to-talk not working with Wayland [NEEDINFO]
Summary: Push-to-talk not working with Wayland
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mumble
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: John
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-30 10:38 UTC by Daniel Thompson
Modified: 2020-10-05 17:32 UTC (History)
8 users (show)

Fixed In Version: mumble-1.3.2-1.fc33 mumble-1.3.2-1.fc31 mumble-1.3.2-1.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 00:16:29 UTC
Type: Bug
carl: needinfo? (johnhatestrash)


Attachments (Terms of Use)

Description Daniel Thompson 2017-01-30 10:38:13 UTC
Description of problem:

mumble cannot be used in Push To Talk mode in wayland when the keyboard focus is switched away from the mumble window. When running under X11 mumble's Push-To-Talk button works regardless of the current keyboard focus. This is a fundamental feature of mumble since its primary use-case is to provide voice communication to people playing games (i.e. with keyboard focus applied to the game).

I know this is somewhat by design for wayland. Are there any services that mumble can subscribe to allow it to monitor specific keys or shift states?


Version-Release number of selected component (if applicable):
mumble-1.2.18-1.fc25 (and gnome-shell-3.22.2-2.fc25)

How reproducible:
Always

Steps to Reproduce:
1. Configure mumble in push-to-talk mode
2. Choose a push-to-talk button. I am using AltGr (ISO_Level3_Shift).
3. Connect to a mumble server

Actual results:
The lips icon turns red when my push-to-talk button is pressed if, and only if, the mumble application has keyboard focus.

Expected results:
The lips icon should turn red when the push-to-talk button is pressed regardless of which application has keyboard focus.

Comment 1 Theodor van Nahl 2017-10-12 18:39:11 UTC
There is an related issue [0] on the mumble project. That issue does include a proposal for action bindings [1] within wayland.


[0]: https://github.com/mumble-voip/mumble/issues/3243
[1]: https://lists.freedesktop.org/archives/wayland-devel/2017-August/034776.html

Comment 2 Fedora End Of Life 2017-11-16 19:06:10 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:36:44 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 4 Carl George 🤠 2020-08-18 21:04:20 UTC
This is still an issue in Fedora 32.  Upstream has added dbus calls to support desktop environments setting their own shortcuts, which is expected to land in version 1.4.0.

https://github.com/mumble-voip/mumble/pull/3675

I'm experimenting with 1.3.2 with that patch included, but so far I haven't figured out how to have Gnome run a different command on key release.

Comment 5 Carl George 🤠 2020-08-18 21:41:04 UTC
https://src.fedoraproject.org/rpms/mumble/pull-request/1

Comment 6 Carl George 🤠 2020-08-24 23:11:32 UTC
John, please take a look at my pull request.

Comment 7 Fedora Update System 2020-09-25 11:16:20 UTC
FEDORA-2020-ca26a3f832 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-ca26a3f832

Comment 8 Fedora Update System 2020-09-25 11:16:22 UTC
FEDORA-2020-f869e01557 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-f869e01557

Comment 9 Fedora Update System 2020-09-25 18:12:17 UTC
FEDORA-2020-f869e01557 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-f869e01557`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-f869e01557

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-09-25 18:35:40 UTC
FEDORA-2020-8372f6bae4 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-8372f6bae4`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-8372f6bae4

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-09-25 18:38:56 UTC
FEDORA-2020-ca26a3f832 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-ca26a3f832`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-ca26a3f832

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2020-09-29 00:16:29 UTC
FEDORA-2020-f869e01557 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-10-03 01:53:57 UTC
FEDORA-2020-ca26a3f832 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2020-10-05 17:32:02 UTC
FEDORA-2020-8372f6bae4 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.